%define upstream_name File_DNS
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.0
Release:     	%mkrel 9
Summary:    	Manipulate RFC1033-style DNS Zonefiles
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/File_DNS-%{version}.tgz
URL: 		https://pear.php.net/package/File_DNS
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
The File_DNS class provides a way to read, edit and write RFC1033 style DNS
Zones.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_DNS.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_DNS.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_DNS
fi

%files
%doc docs/File_DNS/*
%{peardir}/*
%{xmldir}/File_DNS.xml


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.1.0-9.mga9
+ Revision: 1817633
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-8.mga8
+ Revision: 1498852
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-7.mga7
+ Revision: 1273191
- Mageia 7 Mass Rebuild

* Sat Jan 30 2016 umeabot <umeabot> 0.1.0-6.mga6
+ Revision: 929101
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 740389
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 687245
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 516711
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 376098
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 0.1.0-1.mga2
+ Revision: 218414
- upgrade to 0.1.0

* Sat Feb 05 2011 spuhler <spuhler> 0.0.8-12.mga1
+ Revision: 47376
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-File_DNS

